diff src/gaim-send @ 11067:2eca9ed49469

[gaim-migrate @ 13048] Modified configure.ac so that it rejects dbus builds with the dbus library older than 0.34 Added a simple object registration system to the dbus implementation so that it is possible to query object properties remotely (eg. give me property "name" of buddy with id = 5). committer: Tailor Script <tailor@pidgin.im>
author Piotr Zielinski <zielaj>
date Thu, 07 Jul 2005 15:43:48 +0000
parents
children 64fadbf3810f
line wrap: on
line diff
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/src/gaim-send	Thu Jul 07 15:43:48 2005 +0000
@@ -0,0 +1,35 @@
+#!/bin/bash
+# 
+# A little shell script for communicating with gaim using dbus
+
+METHOD_NAME=$1
+
+if test -z "$METHOD_NAME" 
+then
+    cat <<EOF 
+This program uses dbus to talk to gaim.  If the gaim is not running and
+the dbus engine is set up correctly, a new instance of gaim will be started.
+
+   Syntax: gaim-send method-name parameter1 parameter2 ..."
+
+This shell script just invokes dbus-send, see man dbus-send for how 
+to specify the parameters.  
+
+Examples:
+
+   gaim-send Ping 
+   gaim-send Quit
+   gaim-send GetBuddyList
+   gaim-send GetBuddyProperty int32:5 string:alias
+   gaim-send StartIMConversation int32:5
+
+See src/dbus-services.xml for the list of supported operations.  
+EOF
+
+    exit 1
+fi
+
+shift
+dbus-send --dest=org.gaim.GaimService --print-reply --type=method_call /org/gaim/GaimObject org.gaim.GaimInterface.$METHOD_NAME "$@"
+
+echo